package it.danieleverducci.subitobeers

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.util.Log
import android.widget.Toast
import it.danieleverducci.subitobeers.entities.Beer
import it.danieleverducci.subitobeers.networking.RetrofitProvider
import retrofit2.Call
import retrofit2.Callback
import retrofit2.Response

class MainActivity : AppCompatActivity() {

    companion object {
        val TAG = "MainActivity"
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        getBeers()
    }

    private fun getBeers() {
        val call: Call<List<Beer>> = RetrofitProvider.getClient.getBeers()
        call.enqueue(object : Callback<List<Beer>> {

            override fun onResponse(call: Call<List<Beer>>?, response: Response<List<Beer>>?) {
                Log.d(TAG, response.toString())
            }

            override fun onFailure(call: Call<List<Beer>>?, t: Throwable?) {
                Toast.makeText(applicationContext, R.string.network_error, Toast.LENGTH_SHORT).show()
            }

        })
    }
}