package it.danieleverducci.subitobeers.entities

import org.json.JSONException
import org.json.JSONObject
import java.time.LocalDate
import java.time.format.DateTimeFormatter
import java.util.*

class Beer {
    val id: Int
    val name: String
    val tagline: String
    val description: String
    val firstBrewed: LocalDate

    @Throws(JSONException::class)
    constructor(jo: JSONObject) {
        this.id = jo.getInt("id")
        this.name = jo.getString("name")
        this.tagline = jo.getString("tagline")
        this.description = jo.getString("description")

        // Parse date
        val formatter = DateTimeFormatter.ofPattern("mm/yyyy", Locale.ENGLISH)
        this.firstBrewed = LocalDate.parse(jo.getString("first_brewed"), formatter)
    }
}